error while booting after kernel [2.0.29] compiled

error while booting after kernel [2.0.29] compiled

Post by Tobias Walkowia » Sun, 13 Sep 1998 04:00:00



kernel: 2.0.29
i did:
make config; make clean; make dep; make zImage; make modules;
make modules_install

everything went find bit when i boot the system, i get the messages
...
*** Unresolved symbols in module /lib/modules/2.0.29/appletalk.o
[then about 10 of these messages]

and a few moments later

...
[date] insmod: ether_setup: wrong version or undefined
[again a lot of these errors]
       insmod: Loading failed! The module symbols (from linux-2.0.29)
               don't match your linux-2.0.29
SIOCSIFADDR: No such device

then some these error-message blocks follow, but at the end the system is
booted and ready to be logged in.

does anybody have any idea what i have done wrong?

thanx in advance.
walko
--


-- pgp key fingerprint = 91 96 22 DA 5E 5B 6B 98  97 59 0C BA D2 06 EF 50 --
--

 
 
 

1. Compiling Kernel 2.0.29 - error

I have tried to compile Kernel 2.0.29.
The configuration step, the 'make dep' and the 'make clean' worked
well, but when I tried to compile ('make zImage') it says:

cc1 : Invalid option 'align -loops=2'
cc1 : Invalid option 'align -jumps=2'
cc1 : Invalid option 'align -functions=1'
make: *** [ init / main.o] Error 1

The Kernel documentation and the Kernel-HOWTO doesn't explain the
error message.
I also tried to change the configuration, but it didn't work.
I don't have a clue. What could it be?
Thanxs .

<<<<<<<<<<<<   Paulo Trezentos  >>>>>>>>>>>>>>>>>

URL: http://www.students.iscte.pt/~a12593/
    ISCTE - ' In Hoc Signo Vinces '

2. TCP default timeouts badly set

3. Compiling Kernel 2.0.29 (error).

4. ELF can't get past ld.so-1.7.14 install

5. symbols from kernel 2.0.29 don't match 2.0.29?!?!?

6. unix command

7. 2.0.29 modules cannot be loaded by 2.0.29 kernel??????

8. rdate to poll a remote server?

9. compiling Linux kernel 2.0.29

10. Not able to run X on a newly compiled 2.0.29 kernel

11. Error compile glibc-2.3.2 link nptl-0.29

12. Kernel 2.0.29 & Proaudio 16 card wont compile

13. Linux kernel 2.0.29 and sysvinit 2.64 booting problems.